Debian Bug report logs - #654767
transfig: FTBFS(kfreebsd): File `overlay-sample-0.pdf' not found.

version graph

Package: src:transfig; Maintainer for src:transfig is Roland Rosenfeld <roland@debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Thu, 5 Jan 2012 16:12:02 UTC

Severity: serious

Tags: help, moreinfo, patch, sid, unreproducible, wheezy

Found in version transfig/1:3.2.5.d-2

Fixed in version transfig/1:3.2.5.d-3

Done: Roland Rosenfeld <roland@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#654767; Package src:transfig. (Thu, 05 Jan 2012 16:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Roland Rosenfeld <roland@debian.org>. (Thu, 05 Jan 2012 16:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: transfig: FTBFS(kfreebsd): File `overlay-sample-0.pdf' not found.
Date: Thu, 05 Jan 2012 17:09:24 +0100
Package: src:transfig
Version: 1:3.2.5.d-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

(/usr/share/texmf/tex/latex/beamer/base/translator/dicts/translator-theorem-dic
tionary/translator-theorem-dictionary-English.dict)
No file sample-presentation.nav.

LaTeX Warning: File `overlay-sample-0.pdf' not found on input line 45.


! Package pdftex.def Error: File `overlay-sample-0.pdf' not found.

See the pdftex.def package documentation for explanation.
Type  H <return>  for immediate help.
 ...                                              
                                                  
l.45 \end{frame}
                
? 
! Emergency stop.
 ...                                              
                                                  
l.45 \end{frame}
                
!  ==> Fatal error occurred, no output PDF file produced!

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=transfig&arch=kfreebsd-amd64&ver=1%3A3.2.5.d-2&stamp=1325777687

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#654767; Package src:transfig. (Mon, 09 Jan 2012 16:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Rosenfeld <roland@debian.org>:
Extra info received and forwarded to list. (Mon, 09 Jan 2012 16:30:05 GMT) Full text and rfc822 format available.

Message #10 received at 654767@bugs.debian.org (full text, mbox):

From: Roland Rosenfeld <roland@debian.org>
To: Christoph Egger <christoph@debian.org>, 654767@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#654767: transfig: FTBFS(kfreebsd): File `overlay-sample-0.pdf' not found.
Date: Mon, 9 Jan 2012 17:20:51 +0100
tags 654767 + unreproducible moreinfo help
thanks

Hi Christoph!

On Thu, 05 Jan 2012, Christoph Egger wrote:

> Package: src:transfig
> Version: 1:3.2.5.d-2
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)
> 
> Hi!
> 
> Your package failed to build on the kfreebsd-* buildds:
> 
> (/usr/share/texmf/tex/latex/beamer/base/translator/dicts/translator-theorem-dic
> tionary/translator-theorem-dictionary-English.dict)
> No file sample-presentation.nav.
> 
> LaTeX Warning: File `overlay-sample-0.pdf' not found on input line 45.
> 
> 
> ! Package pdftex.def Error: File `overlay-sample-0.pdf' not found.
> 
> See the pdftex.def package documentation for explanation.
> Type  H <return>  for immediate help.
>  ...                                              
>                                                   
> l.45 \end{frame}
>                 
> ? 
> ! Emergency stop.
>  ...                                              
>                                                   
> l.45 \end{frame}
>                 
> !  ==> Fatal error occurred, no output PDF file produced!
> 
> Full build log at
> https://buildd.debian.org/status/fetch.php?pkg=transfig&arch=kfreebsd-amd64&ver=1%3A3.2.5.d-2&stamp=1325777687

Thanks for your bug report.  I noticed this problem not only on
kfreebsd (i386 and amd64) but also on mips and mipsel (all other build
daemons don't have a problem with my package).

The log output you mention seems only to be a consequence of the
primary problem some lines above:

make[2]: Entering directory `/build/buildd-transfig_3.2.5.d-2-kfreebsd-amd64-qOdFJY/transfig-3.2.5.d/fig2mpdf/doc'
env PATH="../../fig2dev:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games" sh ../fig2mpdf -m overlay-sample.lfig
sh: 1: ./_fig2mpdfoverlay-sample-0_inp.create: Permission denied

Here ../fig2mpdf internally calls 
../../fig2dev/fig2dev -L pdftex_p  -D +52:53 -p _fig2mpdfoverlay-sample-0_inp overlay-sample.lfig _fig2mpdfoverlay-sample-0_inp.tex
which creates the file _fig2mpdfoverlay-sample-0_inp.create, which is
an executable /bin/bash script.
After this fig2mpdf executes ./_fig2mpdfoverlay-sample-0_inp.create
which results in the above "Permission denied" error.

My problem is, that I cannot reproduce this problem.  I just set up a
kfreebsd-i386 box, but building the package runs without problems.

My first idea was that the bash package is missing, which results in
such an error message, but the build log shows, that bash was
installed.

Except this I can only imagine that the build parition of the build
server could be mounted without executinon rights, but this should
result in other problems...

So now I don't have an idea how to fix this problem since I don't see
what triggers this problem only on kfreebsd-i386, kfreebsd-amd64, mips
and mipsel, while all other systems (including my kfreebsd-i386 test
box) don't trigger the problem.

Tschoeeee

        Roland




Added tag(s) unreproducible, help, and moreinfo. Request was from Roland Rosenfeld <roland@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 16:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#654767; Package src:transfig. (Fri, 23 Mar 2012 18:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
Extra info received and forwarded to list. Copy sent to debian-bsd@lists.debian.org, Roland Rosenfeld <roland@debian.org>. (Fri, 23 Mar 2012 18:45:02 GMT) Full text and rfc822 format available.

Message #17 received at 654767@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 654767@bugs.debian.org
Subject: transfig/kfreebsd happens here reproducibly
Date: Fri, 23 Mar 2012 19:43:35 +0100
Hi!

  I can witness the behaviour of the autobuillders just fine on my
kfreebsd-amd64 development box. Below experimenting with the failing
command. Maybe there's some chmod +x missing? Unfortunately I don't
speak awk so can't really digg any further.

Regards

    Christoph

christoph@myron /var/tmp/transfig-3.2.5.d/fig2mpdf/doc 
13:52 0 % env PATH="../../fig2dev:/home/christoph/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games" sh ../fig2mpdf -vd -m overlay-sample.lfig | cat 
ARGV[0]=gawk
ARGV[1]=overlay-sample.lfig
aOptions[l] = ><
aOptions[e] = ><
aOptions[m] = >-<
aOptions[p] = ><
aOptions[i] = ><
aOptions[I] = ><
aOptions[s] = ><
aOptions[H] = ><
aOptions[g] = ><
aOptions[G] = ><
aOptions[v] = >-<
aOptions[V] = ><
aOptions[d] = >-<
FileNameBase >overlay-sample-0< FigFile >overlay-sample.lfig< Pdf:1
fig2dev -L pdftex_p  -D +52:53 -p _fig2mpdfoverlay-sample-0_inp overlay-sample.lfig _fig2mpdfoverlay-sample-0_inp.tex
./_fig2mpdfoverlay-sample-0_inp.create
sh: 1: ./_fig2mpdfoverlay-sample-0_inp.create: Permission denied
cat > _fig2mpdfoverlay-sample-0_doc.tex << EOF
\documentclass{article}
\usepackage{german,amssymb,amsmath}
\usepackage{times}
\usepackage{color}
\usepackage{ifpdf}
\setlength{\textwidth}{100cm}
\setlength{\textheight}{100cm}
\setlength{\topmargin}{-1in}
\setlength{\headsep}{0pt}
\setlength{\headheight}{0pt}
\setlength{\oddsidemargin}{-1in}
\parindent=0cm
\ifpdf
\usepackage[pdftex]{graphicx}
\DeclareGraphicsExtensions{.pdf,.png,.jpg}
\usepackage{epsfig}
\input{_fig2mpdfoverlay-sample-0_inp.size}
\else
\usepackage{graphicx}
\usepackage{epsfig}
\fi
\begin{document}
\pagestyle{empty}
\input{_fig2mpdfoverlay-sample-0_inp.tex}
\end{document}
EOF
pdflatex -interaction batchmode _fig2mpdfoverlay-sample-0_doc.tex
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian) (format=pdflatex 2012.3.22)  22 MAR 2012 13:54
entering extended mode
 %&-line parsing enabled.
**_fig2mpdfoverlay-sample-0_doc.tex
(./_fig2mpdfoverlay-sample-0_doc.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, ngerman, german, german-x-2009-06-19, ngerman-x-2009-06-19, loaded.

(/usr/share/texmf-texlive/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texmf-texlive/tex/latex/base/size10.clo
File: size10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
)
\c@part=\count79
\c@section=\count80
\c@subsection=\count81
\c@subsubsection=\count82
\c@paragraph=\count83
\c@subparagraph=\count84
\c@figure=\count85
\c@table=\count86
\abovecaptionskip=\skip41
\belowcaptionskip=\skip42
\bibindent=\dimen102
) (/usr/share/texmf-texlive/tex/generic/german/german.sty v2.5e 1998-07-08
Package: german 1998/07/08 v2.5e Support for writing german texts (br)
\grmnU@D=\dimen103
german -- \language number for Austrian undefined, default 5 used.
german -- \language number for French undefined, default 255 used.
) (/usr/share/texmf-texlive/tex/latex/amsfonts/amssymb.sty
Package: amssymb 2009/06/22 v3.00
(/usr/share/texmf-texlive/tex/latex/amsfonts/amsfonts.sty
Package: amsfonts 2009/06/22 v3.00 Basic AMSFonts support
\@emptytoks=\toks14
\symAMSa=\mathgroup4
\symAMSb=\mathgroup5
LaTeX Font Info:    Overwriting math alphabet `\mathfrak' in version `bold'
(Font)                  U/euf/m/n --> U/euf/b/n on input line 96.
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsmath.sty
Package: amsmath 2000/07/18 v2.13 AMS math features
\@mathmargin=\skip43
For additional information on amsmath, use the `?' option.
(/usr/share/texmf-texlive/tex/latex/amsmath/amstext.sty
Package: amstext 2000/06/29 v2.01
(/usr/share/texmf-texlive/tex/latex/amsmath/amsgen.sty
File: amsgen.sty 1999/11/30 v2.0
\@emptytoks=\toks15
\ex@=\dimen104
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsbsy.sty
Package: amsbsy 1999/11/29 v1.2d
\pmbraise@=\dimen105
) (/usr/share/texmf-texlive/tex/latex/amsmath/amsopn.sty
Package: amsopn 1999/12/14 v2.01 operator names
)
\inf@bad=\count87
LaTeX Info: Redefining \frac on input line 211.
\uproot@=\count88
\leftroot@=\count89
LaTeX Info: Redefining \overline on input line 307.
\classnum@=\count90
\DOTSCASE@=\count91
LaTeX Info: Redefining \ldots on input line 379.
LaTeX Info: Redefining \dots on input line 382.
LaTeX Info: Redefining \cdots on input line 467.
\Mathstrutbox@=\box26
\strutbox@=\box27
\big@size=\dimen106
LaTeX Font Info:    Redeclaring font encoding OML on input line 567.
LaTeX Font Info:    Redeclaring font encoding OMS on input line 568.
\macc@depth=\count92
\c@MaxMatrixCols=\count93
\dotsspace@=\muskip10
\c@parentequation=\count94
\dspbrk@lvl=\count95
\tag@help=\toks16
\row@=\count96
\column@=\count97
\maxfields@=\count98
\andhelp@=\toks17
\eqnshift@=\dimen107
\alignsep@=\dimen108
\tagshift@=\dimen109
\tagwidth@=\dimen110
\totwidth@=\dimen111
\lineht@=\dimen112
\@envbody=\toks18
\multlinegap=\skip44
\multlinetaggap=\skip45
\mathdisplay@stack=\toks19
LaTeX Info: Redefining \[ on input line 2666.
LaTeX Info: Redefining \] on input line 2667.
) (/usr/share/texmf-texlive/tex/latex/psnfss/times.sty
Package: times 2005/04/12 PSNFSS-v9.2a (SPQR) 
) (/usr/share/texmf-texlive/tex/latex/graphics/color.sty
Package: color 2005/11/14 v1.0j Standard LaTeX Color (DPC)
(/etc/texmf/tex/latex/config/color.cfg
File: color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
)
Package color Info: Driver file: pdftex.def on input line 130.
(/usr/share/texmf-texlive/tex/latex/pdftex-def/pdftex.def
File: pdftex.def 2010/03/12 v0.04p Graphics/color for pdfTeX
\Gread@gobject=\count99
)) (/usr/share/texmf-texlive/tex/generic/oberdiek/ifpdf.sty
Package: ifpdf 2009/04/10 v2.0 Provides the ifpdf switch (HO)
Package ifpdf Info: pdfTeX in pdf mode detected.
) (/usr/share/texmf-texlive/tex/latex/graphics/graphicx.sty
Package: graphicx 1999/02/16 v1.0f Enhanced LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/keyval.sty
Package: keyval 1999/03/16 v1.13 key=value parser (DPC)
\KV@toks@=\toks20
) (/usr/share/texmf-texlive/tex/latex/graphics/graphics.sty
Package: graphics 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/trig.sty
Package: trig 1999/03/16 v1.09 sin cos tan (DPC)
) (/etc/texmf/tex/latex/config/graphics.cfg
File: graphics.cfg 2009/08/28 v1.8 graphics configuration of TeX Live
)
Package graphics Info: Driver file: pdftex.def on input line 91.
)
\Gin@req@height=\dimen113
\Gin@req@width=\dimen114
) (/usr/share/texmf-texlive/tex/latex/graphics/epsfig.sty
Package: epsfig 1999/02/16 v1.7a (e)psfig emulation (SPQR)
\epsfxsize=\dimen115
\epsfysize=\dimen116
)

! LaTeX Error: File `_fig2mpdfoverlay-sample-0_inp.size' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: size)

Enter file name: 
! Emergency stop.
<read *> 
         
l.17 \input{_fig2mpdfoverlay-sample-0_inp.size}
                                               ^^M
*** (cannot \read from terminal in nonstop modes)

 
Here is how much of TeX's memory you used:
 1698 strings out of 495021
 19672 string characters out of 1181035
 71099 words of memory out of 3000000
 4917 multiletter control sequences out of 15000+50000
 3640 words of font info for 14 fonts, out of 3000000 for 9000
 28 hyphenation exceptions out of 8191
 27i,0n,24p,248b,36s stack positions out of 5000i,500n,10000p,200000b,50000s
!  ==> Fatal error occurred, no output PDF file produced!
FileNameBase >overlay-sample-1< FigFile >overlay-sample.lfig< Pdf:1
fig2dev -L pdftex_p  -D +49:50 -p _fig2mpdfoverlay-sample-1_inp overlay-sample.lfig _fig2mpdfoverlay-sample-1_inp.tex
./_fig2mpdfoverlay-sample-1_inp.create
sh: 1: ./_fig2mpdfoverlay-sample-1_inp.create: Permission denied
cat > _fig2mpdfoverlay-sample-1_doc.tex << EOF
\documentclass{article}
\usepackage{german,amssymb,amsmath}
\usepackage{times}
\usepackage{color}
\usepackage{ifpdf}
\setlength{\textwidth}{100cm}
\setlength{\textheight}{100cm}
\setlength{\topmargin}{-1in}
\setlength{\headsep}{0pt}
\setlength{\headheight}{0pt}
\setlength{\oddsidemargin}{-1in}
\parindent=0cm
\ifpdf
\usepackage[pdftex]{graphicx}
\DeclareGraphicsExtensions{.pdf,.png,.jpg}
\usepackage{epsfig}
\input{_fig2mpdfoverlay-sample-1_inp.size}
\else
\usepackage{graphicx}
\usepackage{epsfig}
\fi
\begin{document}
\pagestyle{empty}
\input{_fig2mpdfoverlay-sample-1_inp.tex}
\end{document}
EOF
pdflatex -interaction batchmode _fig2mpdfoverlay-sample-1_doc.tex
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian) (format=pdflatex 2012.3.22)  22 MAR 2012 13:54
entering extended mode
 %&-line parsing enabled.
**_fig2mpdfoverlay-sample-1_doc.tex
(./_fig2mpdfoverlay-sample-1_doc.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, ngerman, german, german-x-2009-06-19, ngerman-x-2009-06-19, loaded.

(/usr/share/texmf-texlive/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texmf-texlive/tex/latex/base/size10.clo
File: size10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
)
\c@part=\count79
\c@section=\count80
\c@subsection=\count81
\c@subsubsection=\count82
\c@paragraph=\count83
\c@subparagraph=\count84
\c@figure=\count85
\c@table=\count86
\abovecaptionskip=\skip41
\belowcaptionskip=\skip42
\bibindent=\dimen102
) (/usr/share/texmf-texlive/tex/generic/german/german.sty v2.5e 1998-07-08
Package: german 1998/07/08 v2.5e Support for writing german texts (br)
\grmnU@D=\dimen103
german -- \language number for Austrian undefined, default 5 used.
german -- \language number for French undefined, default 255 used.
) (/usr/share/texmf-texlive/tex/latex/amsfonts/amssymb.sty
Package: amssymb 2009/06/22 v3.00
(/usr/share/texmf-texlive/tex/latex/amsfonts/amsfonts.sty
Package: amsfonts 2009/06/22 v3.00 Basic AMSFonts support
\@emptytoks=\toks14
\symAMSa=\mathgroup4
\symAMSb=\mathgroup5
LaTeX Font Info:    Overwriting math alphabet `\mathfrak' in version `bold'
(Font)                  U/euf/m/n --> U/euf/b/n on input line 96.
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsmath.sty
Package: amsmath 2000/07/18 v2.13 AMS math features
\@mathmargin=\skip43
For additional information on amsmath, use the `?' option.
(/usr/share/texmf-texlive/tex/latex/amsmath/amstext.sty
Package: amstext 2000/06/29 v2.01
(/usr/share/texmf-texlive/tex/latex/amsmath/amsgen.sty
File: amsgen.sty 1999/11/30 v2.0
\@emptytoks=\toks15
\ex@=\dimen104
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsbsy.sty
Package: amsbsy 1999/11/29 v1.2d
\pmbraise@=\dimen105
) (/usr/share/texmf-texlive/tex/latex/amsmath/amsopn.sty
Package: amsopn 1999/12/14 v2.01 operator names
)
\inf@bad=\count87
LaTeX Info: Redefining \frac on input line 211.
\uproot@=\count88
\leftroot@=\count89
LaTeX Info: Redefining \overline on input line 307.
\classnum@=\count90
\DOTSCASE@=\count91
LaTeX Info: Redefining \ldots on input line 379.
LaTeX Info: Redefining \dots on input line 382.
LaTeX Info: Redefining \cdots on input line 467.
\Mathstrutbox@=\box26
\strutbox@=\box27
\big@size=\dimen106
LaTeX Font Info:    Redeclaring font encoding OML on input line 567.
LaTeX Font Info:    Redeclaring font encoding OMS on input line 568.
\macc@depth=\count92
\c@MaxMatrixCols=\count93
\dotsspace@=\muskip10
\c@parentequation=\count94
\dspbrk@lvl=\count95
\tag@help=\toks16
\row@=\count96
\column@=\count97
\maxfields@=\count98
\andhelp@=\toks17
\eqnshift@=\dimen107
\alignsep@=\dimen108
\tagshift@=\dimen109
\tagwidth@=\dimen110
\totwidth@=\dimen111
\lineht@=\dimen112
\@envbody=\toks18
\multlinegap=\skip44
\multlinetaggap=\skip45
\mathdisplay@stack=\toks19
LaTeX Info: Redefining \[ on input line 2666.
LaTeX Info: Redefining \] on input line 2667.
) (/usr/share/texmf-texlive/tex/latex/psnfss/times.sty
Package: times 2005/04/12 PSNFSS-v9.2a (SPQR) 
) (/usr/share/texmf-texlive/tex/latex/graphics/color.sty
Package: color 2005/11/14 v1.0j Standard LaTeX Color (DPC)
(/etc/texmf/tex/latex/config/color.cfg
File: color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
)
Package color Info: Driver file: pdftex.def on input line 130.
(/usr/share/texmf-texlive/tex/latex/pdftex-def/pdftex.def
File: pdftex.def 2010/03/12 v0.04p Graphics/color for pdfTeX
\Gread@gobject=\count99
)) (/usr/share/texmf-texlive/tex/generic/oberdiek/ifpdf.sty
Package: ifpdf 2009/04/10 v2.0 Provides the ifpdf switch (HO)
Package ifpdf Info: pdfTeX in pdf mode detected.
) (/usr/share/texmf-texlive/tex/latex/graphics/graphicx.sty
Package: graphicx 1999/02/16 v1.0f Enhanced LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/keyval.sty
Package: keyval 1999/03/16 v1.13 key=value parser (DPC)
\KV@toks@=\toks20
) (/usr/share/texmf-texlive/tex/latex/graphics/graphics.sty
Package: graphics 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/trig.sty
Package: trig 1999/03/16 v1.09 sin cos tan (DPC)
) (/etc/texmf/tex/latex/config/graphics.cfg
File: graphics.cfg 2009/08/28 v1.8 graphics configuration of TeX Live
)
Package graphics Info: Driver file: pdftex.def on input line 91.
)
\Gin@req@height=\dimen113
\Gin@req@width=\dimen114
) (/usr/share/texmf-texlive/tex/latex/graphics/epsfig.sty
Package: epsfig 1999/02/16 v1.7a (e)psfig emulation (SPQR)
\epsfxsize=\dimen115
\epsfysize=\dimen116
)

! LaTeX Error: File `_fig2mpdfoverlay-sample-1_inp.size' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: size)

Enter file name: 
! Emergency stop.
<read *> 
         
l.17 \input{_fig2mpdfoverlay-sample-1_inp.size}
                                               ^^M
*** (cannot \read from terminal in nonstop modes)

 
Here is how much of TeX's memory you used:
 1698 strings out of 495021
 19672 string characters out of 1181035
 71099 words of memory out of 3000000
 4917 multiletter control sequences out of 15000+50000
 3640 words of font info for 14 fonts, out of 3000000 for 9000
 28 hyphenation exceptions out of 8191
 27i,0n,24p,248b,36s stack positions out of 5000i,500n,10000p,200000b,50000s
!  ==> Fatal error occurred, no output PDF file produced!
FileNameBase >overlay-sample-2< FigFile >overlay-sample.lfig< Pdf:1
fig2dev -L pdftex_p  -D +44:46 -p _fig2mpdfoverlay-sample-2_inp overlay-sample.lfig _fig2mpdfoverlay-sample-2_inp.tex
./_fig2mpdfoverlay-sample-2_inp.create
sh: 1: ./_fig2mpdfoverlay-sample-2_inp.create: Permission denied
cat > _fig2mpdfoverlay-sample-2_doc.tex << EOF
\documentclass{article}
\usepackage{german,amssymb,amsmath}
\usepackage{times}
\usepackage{color}
\usepackage{ifpdf}
\setlength{\textwidth}{100cm}
\setlength{\textheight}{100cm}
\setlength{\topmargin}{-1in}
\setlength{\headsep}{0pt}
\setlength{\headheight}{0pt}
\setlength{\oddsidemargin}{-1in}
\parindent=0cm
\ifpdf
\usepackage[pdftex]{graphicx}
\DeclareGraphicsExtensions{.pdf,.png,.jpg}
\usepackage{epsfig}
\input{_fig2mpdfoverlay-sample-2_inp.size}
\else
\usepackage{graphicx}
\usepackage{epsfig}
\fi
\begin{document}
\pagestyle{empty}
\input{_fig2mpdfoverlay-sample-2_inp.tex}
\end{document}
EOF
pdflatex -interaction batchmode _fig2mpdfoverlay-sample-2_doc.tex
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian) (format=pdflatex 2012.3.22)  22 MAR 2012 13:54
entering extended mode
 %&-line parsing enabled.
**_fig2mpdfoverlay-sample-2_doc.tex
(./_fig2mpdfoverlay-sample-2_doc.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, ngerman, german, german-x-2009-06-19, ngerman-x-2009-06-19, loaded.

(/usr/share/texmf-texlive/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texmf-texlive/tex/latex/base/size10.clo
File: size10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
)
\c@part=\count79
\c@section=\count80
\c@subsection=\count81
\c@subsubsection=\count82
\c@paragraph=\count83
\c@subparagraph=\count84
\c@figure=\count85
\c@table=\count86
\abovecaptionskip=\skip41
\belowcaptionskip=\skip42
\bibindent=\dimen102
) (/usr/share/texmf-texlive/tex/generic/german/german.sty v2.5e 1998-07-08
Package: german 1998/07/08 v2.5e Support for writing german texts (br)
\grmnU@D=\dimen103
german -- \language number for Austrian undefined, default 5 used.
german -- \language number for French undefined, default 255 used.
) (/usr/share/texmf-texlive/tex/latex/amsfonts/amssymb.sty
Package: amssymb 2009/06/22 v3.00
(/usr/share/texmf-texlive/tex/latex/amsfonts/amsfonts.sty
Package: amsfonts 2009/06/22 v3.00 Basic AMSFonts support
\@emptytoks=\toks14
\symAMSa=\mathgroup4
\symAMSb=\mathgroup5
LaTeX Font Info:    Overwriting math alphabet `\mathfrak' in version `bold'
(Font)                  U/euf/m/n --> U/euf/b/n on input line 96.
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsmath.sty
Package: amsmath 2000/07/18 v2.13 AMS math features
\@mathmargin=\skip43
For additional information on amsmath, use the `?' option.
(/usr/share/texmf-texlive/tex/latex/amsmath/amstext.sty
Package: amstext 2000/06/29 v2.01
(/usr/share/texmf-texlive/tex/latex/amsmath/amsgen.sty
File: amsgen.sty 1999/11/30 v2.0
\@emptytoks=\toks15
\ex@=\dimen104
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsbsy.sty
Package: amsbsy 1999/11/29 v1.2d
\pmbraise@=\dimen105
) (/usr/share/texmf-texlive/tex/latex/amsmath/amsopn.sty
Package: amsopn 1999/12/14 v2.01 operator names
)
\inf@bad=\count87
LaTeX Info: Redefining \frac on input line 211.
\uproot@=\count88
\leftroot@=\count89
LaTeX Info: Redefining \overline on input line 307.
\classnum@=\count90
\DOTSCASE@=\count91
LaTeX Info: Redefining \ldots on input line 379.
LaTeX Info: Redefining \dots on input line 382.
LaTeX Info: Redefining \cdots on input line 467.
\Mathstrutbox@=\box26
\strutbox@=\box27
\big@size=\dimen106
LaTeX Font Info:    Redeclaring font encoding OML on input line 567.
LaTeX Font Info:    Redeclaring font encoding OMS on input line 568.
\macc@depth=\count92
\c@MaxMatrixCols=\count93
\dotsspace@=\muskip10
\c@parentequation=\count94
\dspbrk@lvl=\count95
\tag@help=\toks16
\row@=\count96
\column@=\count97
\maxfields@=\count98
\andhelp@=\toks17
\eqnshift@=\dimen107
\alignsep@=\dimen108
\tagshift@=\dimen109
\tagwidth@=\dimen110
\totwidth@=\dimen111
\lineht@=\dimen112
\@envbody=\toks18
\multlinegap=\skip44
\multlinetaggap=\skip45
\mathdisplay@stack=\toks19
LaTeX Info: Redefining \[ on input line 2666.
LaTeX Info: Redefining \] on input line 2667.
) (/usr/share/texmf-texlive/tex/latex/psnfss/times.sty
Package: times 2005/04/12 PSNFSS-v9.2a (SPQR) 
) (/usr/share/texmf-texlive/tex/latex/graphics/color.sty
Package: color 2005/11/14 v1.0j Standard LaTeX Color (DPC)
(/etc/texmf/tex/latex/config/color.cfg
File: color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
)
Package color Info: Driver file: pdftex.def on input line 130.
(/usr/share/texmf-texlive/tex/latex/pdftex-def/pdftex.def
File: pdftex.def 2010/03/12 v0.04p Graphics/color for pdfTeX
\Gread@gobject=\count99
)) (/usr/share/texmf-texlive/tex/generic/oberdiek/ifpdf.sty
Package: ifpdf 2009/04/10 v2.0 Provides the ifpdf switch (HO)
Package ifpdf Info: pdfTeX in pdf mode detected.
) (/usr/share/texmf-texlive/tex/latex/graphics/graphicx.sty
Package: graphicx 1999/02/16 v1.0f Enhanced LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/keyval.sty
Package: keyval 1999/03/16 v1.13 key=value parser (DPC)
\KV@toks@=\toks20
) (/usr/share/texmf-texlive/tex/latex/graphics/graphics.sty
Package: graphics 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/trig.sty
Package: trig 1999/03/16 v1.09 sin cos tan (DPC)
) (/etc/texmf/tex/latex/config/graphics.cfg
File: graphics.cfg 2009/08/28 v1.8 graphics configuration of TeX Live
)
Package graphics Info: Driver file: pdftex.def on input line 91.
)
\Gin@req@height=\dimen113
\Gin@req@width=\dimen114
) (/usr/share/texmf-texlive/tex/latex/graphics/epsfig.sty
Package: epsfig 1999/02/16 v1.7a (e)psfig emulation (SPQR)
\epsfxsize=\dimen115
\epsfysize=\dimen116
)

! LaTeX Error: File `_fig2mpdfoverlay-sample-2_inp.size' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: size)

Enter file name: 
! Emergency stop.
<read *> 
         
l.17 \input{_fig2mpdfoverlay-sample-2_inp.size}
                                               ^^M
*** (cannot \read from terminal in nonstop modes)

 
Here is how much of TeX's memory you used:
 1698 strings out of 495021
 19672 string characters out of 1181035
 71099 words of memory out of 3000000
 4917 multiletter control sequences out of 15000+50000
 3640 words of font info for 14 fonts, out of 3000000 for 9000
 28 hyphenation exceptions out of 8191
 27i,0n,24p,248b,36s stack positions out of 5000i,500n,10000p,200000b,50000s
!  ==> Fatal error occurred, no output PDF file produced!
FileNameBase >overlay-sample-3< FigFile >overlay-sample.lfig< Pdf:1
fig2dev -L pdftex_p  -D +40:41 -p _fig2mpdfoverlay-sample-3_inp overlay-sample.lfig _fig2mpdfoverlay-sample-3_inp.tex
./_fig2mpdfoverlay-sample-3_inp.create
sh: 1: ./_fig2mpdfoverlay-sample-3_inp.create: Permission denied
cat > _fig2mpdfoverlay-sample-3_doc.tex << EOF
\documentclass{article}
\usepackage{german,amssymb,amsmath}
\usepackage{times}
\usepackage{color}
\usepackage{ifpdf}
\setlength{\textwidth}{100cm}
\setlength{\textheight}{100cm}
\setlength{\topmargin}{-1in}
\setlength{\headsep}{0pt}
\setlength{\headheight}{0pt}
\setlength{\oddsidemargin}{-1in}
\parindent=0cm
\ifpdf
\usepackage[pdftex]{graphicx}
\DeclareGraphicsExtensions{.pdf,.png,.jpg}
\usepackage{epsfig}
\input{_fig2mpdfoverlay-sample-3_inp.size}
\else
\usepackage{graphicx}
\usepackage{epsfig}
\fi
\begin{document}
\pagestyle{empty}
\input{_fig2mpdfoverlay-sample-3_inp.tex}
\end{document}
EOF
pdflatex -interaction batchmode _fig2mpdfoverlay-sample-3_doc.tex
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian) (format=pdflatex 2012.3.22)  22 MAR 2012 13:54
entering extended mode
 %&-line parsing enabled.
**_fig2mpdfoverlay-sample-3_doc.tex
(./_fig2mpdfoverlay-sample-3_doc.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, ngerman, german, german-x-2009-06-19, ngerman-x-2009-06-19, loaded.

(/usr/share/texmf-texlive/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texmf-texlive/tex/latex/base/size10.clo
File: size10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
)
\c@part=\count79
\c@section=\count80
\c@subsection=\count81
\c@subsubsection=\count82
\c@paragraph=\count83
\c@subparagraph=\count84
\c@figure=\count85
\c@table=\count86
\abovecaptionskip=\skip41
\belowcaptionskip=\skip42
\bibindent=\dimen102
) (/usr/share/texmf-texlive/tex/generic/german/german.sty v2.5e 1998-07-08
Package: german 1998/07/08 v2.5e Support for writing german texts (br)
\grmnU@D=\dimen103
german -- \language number for Austrian undefined, default 5 used.
german -- \language number for French undefined, default 255 used.
) (/usr/share/texmf-texlive/tex/latex/amsfonts/amssymb.sty
Package: amssymb 2009/06/22 v3.00
(/usr/share/texmf-texlive/tex/latex/amsfonts/amsfonts.sty
Package: amsfonts 2009/06/22 v3.00 Basic AMSFonts support
\@emptytoks=\toks14
\symAMSa=\mathgroup4
\symAMSb=\mathgroup5
LaTeX Font Info:    Overwriting math alphabet `\mathfrak' in version `bold'
(Font)                  U/euf/m/n --> U/euf/b/n on input line 96.
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsmath.sty
Package: amsmath 2000/07/18 v2.13 AMS math features
\@mathmargin=\skip43
For additional information on amsmath, use the `?' option.
(/usr/share/texmf-texlive/tex/latex/amsmath/amstext.sty
Package: amstext 2000/06/29 v2.01
(/usr/share/texmf-texlive/tex/latex/amsmath/amsgen.sty
File: amsgen.sty 1999/11/30 v2.0
\@emptytoks=\toks15
\ex@=\dimen104
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsbsy.sty
Package: amsbsy 1999/11/29 v1.2d
\pmbraise@=\dimen105
) (/usr/share/texmf-texlive/tex/latex/amsmath/amsopn.sty
Package: amsopn 1999/12/14 v2.01 operator names
)
\inf@bad=\count87
LaTeX Info: Redefining \frac on input line 211.
\uproot@=\count88
\leftroot@=\count89
LaTeX Info: Redefining \overline on input line 307.
\classnum@=\count90
\DOTSCASE@=\count91
LaTeX Info: Redefining \ldots on input line 379.
LaTeX Info: Redefining \dots on input line 382.
LaTeX Info: Redefining \cdots on input line 467.
\Mathstrutbox@=\box26
\strutbox@=\box27
\big@size=\dimen106
LaTeX Font Info:    Redeclaring font encoding OML on input line 567.
LaTeX Font Info:    Redeclaring font encoding OMS on input line 568.
\macc@depth=\count92
\c@MaxMatrixCols=\count93
\dotsspace@=\muskip10
\c@parentequation=\count94
\dspbrk@lvl=\count95
\tag@help=\toks16
\row@=\count96
\column@=\count97
\maxfields@=\count98
\andhelp@=\toks17
\eqnshift@=\dimen107
\alignsep@=\dimen108
\tagshift@=\dimen109
\tagwidth@=\dimen110
\totwidth@=\dimen111
\lineht@=\dimen112
\@envbody=\toks18
\multlinegap=\skip44
\multlinetaggap=\skip45
\mathdisplay@stack=\toks19
LaTeX Info: Redefining \[ on input line 2666.
LaTeX Info: Redefining \] on input line 2667.
) (/usr/share/texmf-texlive/tex/latex/psnfss/times.sty
Package: times 2005/04/12 PSNFSS-v9.2a (SPQR) 
) (/usr/share/texmf-texlive/tex/latex/graphics/color.sty
Package: color 2005/11/14 v1.0j Standard LaTeX Color (DPC)
(/etc/texmf/tex/latex/config/color.cfg
File: color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
)
Package color Info: Driver file: pdftex.def on input line 130.
(/usr/share/texmf-texlive/tex/latex/pdftex-def/pdftex.def
File: pdftex.def 2010/03/12 v0.04p Graphics/color for pdfTeX
\Gread@gobject=\count99
)) (/usr/share/texmf-texlive/tex/generic/oberdiek/ifpdf.sty
Package: ifpdf 2009/04/10 v2.0 Provides the ifpdf switch (HO)
Package ifpdf Info: pdfTeX in pdf mode detected.
) (/usr/share/texmf-texlive/tex/latex/graphics/graphicx.sty
Package: graphicx 1999/02/16 v1.0f Enhanced LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/keyval.sty
Package: keyval 1999/03/16 v1.13 key=value parser (DPC)
\KV@toks@=\toks20
) (/usr/share/texmf-texlive/tex/latex/graphics/graphics.sty
Package: graphics 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/trig.sty
Package: trig 1999/03/16 v1.09 sin cos tan (DPC)
) (/etc/texmf/tex/latex/config/graphics.cfg
File: graphics.cfg 2009/08/28 v1.8 graphics configuration of TeX Live
)
Package graphics Info: Driver file: pdftex.def on input line 91.
)
\Gin@req@height=\dimen113
\Gin@req@width=\dimen114
) (/usr/share/texmf-texlive/tex/latex/graphics/epsfig.sty
Package: epsfig 1999/02/16 v1.7a (e)psfig emulation (SPQR)
\epsfxsize=\dimen115
\epsfysize=\dimen116
)

! LaTeX Error: File `_fig2mpdfoverlay-sample-3_inp.size' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: size)

Enter file name: 
! Emergency stop.
<read *> 
         
l.17 \input{_fig2mpdfoverlay-sample-3_inp.size}
                                               ^^M
*** (cannot \read from terminal in nonstop modes)

 
Here is how much of TeX's memory you used:
 1698 strings out of 495021
 19672 string characters out of 1181035
 71099 words of memory out of 3000000
 4917 multiletter control sequences out of 15000+50000
 3640 words of font info for 14 fonts, out of 3000000 for 9000
 28 hyphenation exceptions out of 8191
 27i,0n,24p,248b,36s stack positions out of 5000i,500n,10000p,200000b,50000s
!  ==> Fatal error occurred, no output PDF file produced!
FileNameBase >overlay-sample-4< FigFile >overlay-sample.lfig< Pdf:1
fig2dev -L pdftex_p  -D +37:38 -p _fig2mpdfoverlay-sample-4_inp overlay-sample.lfig _fig2mpdfoverlay-sample-4_inp.tex
./_fig2mpdfoverlay-sample-4_inp.create
sh: 1: ./_fig2mpdfoverlay-sample-4_inp.create: Permission denied
cat > _fig2mpdfoverlay-sample-4_doc.tex << EOF
\documentclass{article}
\usepackage{german,amssymb,amsmath}
\usepackage{times}
\usepackage{color}
\usepackage{ifpdf}
\setlength{\textwidth}{100cm}
\setlength{\textheight}{100cm}
\setlength{\topmargin}{-1in}
\setlength{\headsep}{0pt}
\setlength{\headheight}{0pt}
\setlength{\oddsidemargin}{-1in}
\parindent=0cm
\ifpdf
\usepackage[pdftex]{graphicx}
\DeclareGraphicsExtensions{.pdf,.png,.jpg}
\usepackage{epsfig}
\input{_fig2mpdfoverlay-sample-4_inp.size}
\else
\usepackage{graphicx}
\usepackage{epsfig}
\fi
\begin{document}
\pagestyle{empty}
\input{_fig2mpdfoverlay-sample-4_inp.tex}
\end{document}
EOF
pdflatex -interaction batchmode _fig2mpdfoverlay-sample-4_doc.tex
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian)
entering extended mode
This is pdfTeX, Version 3.1415926-1.40.10 (TeX Live 2009/Debian) (format=pdflatex 2012.3.22)  22 MAR 2012 13:54
entering extended mode
 %&-line parsing enabled.
**_fig2mpdfoverlay-sample-4_doc.tex
(./_fig2mpdfoverlay-sample-4_doc.tex
LaTeX2e <2009/09/24>
Babel <v3.8l> and hyphenation patterns for english, usenglishmax, dumylang, noh
yphenation, ngerman, german, german-x-2009-06-19, ngerman-x-2009-06-19, loaded.

(/usr/share/texmf-texlive/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texmf-texlive/tex/latex/base/size10.clo
File: size10.clo 2007/10/19 v1.4h Standard LaTeX file (size option)
)
\c@part=\count79
\c@section=\count80
\c@subsection=\count81
\c@subsubsection=\count82
\c@paragraph=\count83
\c@subparagraph=\count84
\c@figure=\count85
\c@table=\count86
\abovecaptionskip=\skip41
\belowcaptionskip=\skip42
\bibindent=\dimen102
) (/usr/share/texmf-texlive/tex/generic/german/german.sty v2.5e 1998-07-08
Package: german 1998/07/08 v2.5e Support for writing german texts (br)
\grmnU@D=\dimen103
german -- \language number for Austrian undefined, default 5 used.
german -- \language number for French undefined, default 255 used.
) (/usr/share/texmf-texlive/tex/latex/amsfonts/amssymb.sty
Package: amssymb 2009/06/22 v3.00
(/usr/share/texmf-texlive/tex/latex/amsfonts/amsfonts.sty
Package: amsfonts 2009/06/22 v3.00 Basic AMSFonts support
\@emptytoks=\toks14
\symAMSa=\mathgroup4
\symAMSb=\mathgroup5
LaTeX Font Info:    Overwriting math alphabet `\mathfrak' in version `bold'
(Font)                  U/euf/m/n --> U/euf/b/n on input line 96.
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsmath.sty
Package: amsmath 2000/07/18 v2.13 AMS math features
\@mathmargin=\skip43
For additional information on amsmath, use the `?' option.
(/usr/share/texmf-texlive/tex/latex/amsmath/amstext.sty
Package: amstext 2000/06/29 v2.01
(/usr/share/texmf-texlive/tex/latex/amsmath/amsgen.sty
File: amsgen.sty 1999/11/30 v2.0
\@emptytoks=\toks15
\ex@=\dimen104
)) (/usr/share/texmf-texlive/tex/latex/amsmath/amsbsy.sty
Package: amsbsy 1999/11/29 v1.2d
\pmbraise@=\dimen105
) (/usr/share/texmf-texlive/tex/latex/amsmath/amsopn.sty
Package: amsopn 1999/12/14 v2.01 operator names
)
\inf@bad=\count87
LaTeX Info: Redefining \frac on input line 211.
\uproot@=\count88
\leftroot@=\count89
LaTeX Info: Redefining \overline on input line 307.
\classnum@=\count90
\DOTSCASE@=\count91
LaTeX Info: Redefining \ldots on input line 379.
LaTeX Info: Redefining \dots on input line 382.
LaTeX Info: Redefining \cdots on input line 467.
\Mathstrutbox@=\box26
\strutbox@=\box27
\big@size=\dimen106
LaTeX Font Info:    Redeclaring font encoding OML on input line 567.
LaTeX Font Info:    Redeclaring font encoding OMS on input line 568.
\macc@depth=\count92
\c@MaxMatrixCols=\count93
\dotsspace@=\muskip10
\c@parentequation=\count94
\dspbrk@lvl=\count95
\tag@help=\toks16
\row@=\count96
\column@=\count97
\maxfields@=\count98
\andhelp@=\toks17
\eqnshift@=\dimen107
\alignsep@=\dimen108
\tagshift@=\dimen109
\tagwidth@=\dimen110
\totwidth@=\dimen111
\lineht@=\dimen112
\@envbody=\toks18
\multlinegap=\skip44
\multlinetaggap=\skip45
\mathdisplay@stack=\toks19
LaTeX Info: Redefining \[ on input line 2666.
LaTeX Info: Redefining \] on input line 2667.
) (/usr/share/texmf-texlive/tex/latex/psnfss/times.sty
Package: times 2005/04/12 PSNFSS-v9.2a (SPQR) 
) (/usr/share/texmf-texlive/tex/latex/graphics/color.sty
Package: color 2005/11/14 v1.0j Standard LaTeX Color (DPC)
(/etc/texmf/tex/latex/config/color.cfg
File: color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
)
Package color Info: Driver file: pdftex.def on input line 130.
(/usr/share/texmf-texlive/tex/latex/pdftex-def/pdftex.def
File: pdftex.def 2010/03/12 v0.04p Graphics/color for pdfTeX
\Gread@gobject=\count99
)) (/usr/share/texmf-texlive/tex/generic/oberdiek/ifpdf.sty
Package: ifpdf 2009/04/10 v2.0 Provides the ifpdf switch (HO)
Package ifpdf Info: pdfTeX in pdf mode detected.
) (/usr/share/texmf-texlive/tex/latex/graphics/graphicx.sty
Package: graphicx 1999/02/16 v1.0f Enhanced LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/keyval.sty
Package: keyval 1999/03/16 v1.13 key=value parser (DPC)
\KV@toks@=\toks20
) (/usr/share/texmf-texlive/tex/latex/graphics/graphics.sty
Package: graphics 2009/02/05 v1.0o Standard LaTeX Graphics (DPC,SPQR)
(/usr/share/texmf-texlive/tex/latex/graphics/trig.sty
Package: trig 1999/03/16 v1.09 sin cos tan (DPC)
) (/etc/texmf/tex/latex/config/graphics.cfg
File: graphics.cfg 2009/08/28 v1.8 graphics configuration of TeX Live
)
Package graphics Info: Driver file: pdftex.def on input line 91.
)
\Gin@req@height=\dimen113
\Gin@req@width=\dimen114
) (/usr/share/texmf-texlive/tex/latex/graphics/epsfig.sty
Package: epsfig 1999/02/16 v1.7a (e)psfig emulation (SPQR)
\epsfxsize=\dimen115
\epsfysize=\dimen116
)

! LaTeX Error: File `_fig2mpdfoverlay-sample-4_inp.size' not found.

Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: size)

Enter file name: 
! Emergency stop.
<read *> 
         
l.17 \input{_fig2mpdfoverlay-sample-4_inp.size}
                                               ^^M
*** (cannot \read from terminal in nonstop modes)

 
Here is how much of TeX's memory you used:
 1698 strings out of 495021
 19672 string characters out of 1181035
 71099 words of memory out of 3000000
 4917 multiletter control sequences out of 15000+50000
 3640 words of font info for 14 fonts, out of 3000000 for 9000
 28 hyphenation exceptions out of 8191
 27i,0n,24p,248b,36s stack positions out of 5000i,500n,10000p,200000b,50000s
!  ==> Fatal error occurred, no output PDF file produced!
christoph@myron /var/tmp/transfig-3.2.5.d/fig2mpdf/doc 
13:54 0 % ls -lha
total 570K
drwxr-xr-x 2 christoph root 2.0K Mar 22 13:54 .
drwxr-xr-x 3 christoph root  512 Mar 22 13:52 ..
-rw-r----- 1 christoph root  52K Mar 22 13:44 anim-presentation.gif
-rw-r--r-- 1 christoph root  72K Mar 22 13:17 anim-presentation.gif.uue
-rw-r--r-- 1 christoph root 5.7K Mar 22 13:17 fig2dev-pdftex_p.html
-rw-r--r-- 1 christoph root 2.7K Mar 22 13:17 fig2mpdf.css
-rw-r--r-- 1 christoph root  11K Mar 22 13:17 fig2mpdf.html
-rw-r----- 1 christoph root 2.6K Mar 22 13:44 fig2mpdf-output.gif
-rw-r--r-- 1 christoph root 3.6K Mar 22 13:17 fig2mpdf-output.gif.uue
-rw-r--r-- 1 christoph root 5.6K Mar 22 13:54 _fig2mpdfoverlay-sample-0_doc.log
-rw-r--r-- 1 christoph root  597 Mar 22 13:54 _fig2mpdfoverlay-sample-0_doc.tex
-rw-r--r-- 1 christoph root  539 Mar 22 13:54 _fig2mpdfoverlay-sample-0_inp.create
-rw-r--r-- 1 christoph root  690 Mar 22 13:54 _fig2mpdfoverlay-sample-0_inp.tex
-rw-r--r-- 1 christoph root 5.6K Mar 22 13:54 _fig2mpdfoverlay-sample-1_doc.log
-rw-r--r-- 1 christoph root  597 Mar 22 13:54 _fig2mpdfoverlay-sample-1_doc.tex
-rw-r--r-- 1 christoph root  539 Mar 22 13:54 _fig2mpdfoverlay-sample-1_inp.create
-rw-r--r-- 1 christoph root  541 Mar 22 13:54 _fig2mpdfoverlay-sample-1_inp.tex
-rw-r--r-- 1 christoph root 5.6K Mar 22 13:54 _fig2mpdfoverlay-sample-2_doc.log
-rw-r--r-- 1 christoph root  597 Mar 22 13:54 _fig2mpdfoverlay-sample-2_doc.tex
-rw-r--r-- 1 christoph root  539 Mar 22 13:54 _fig2mpdfoverlay-sample-2_inp.create
-rw-r--r-- 1 christoph root  543 Mar 22 13:54 _fig2mpdfoverlay-sample-2_inp.tex
-rw-r--r-- 1 christoph root 5.6K Mar 22 13:54 _fig2mpdfoverlay-sample-3_doc.log
-rw-r--r-- 1 christoph root  597 Mar 22 13:54 _fig2mpdfoverlay-sample-3_doc.tex
-rw-r--r-- 1 christoph root  539 Mar 22 13:54 _fig2mpdfoverlay-sample-3_inp.create
-rw-r--r-- 1 christoph root  543 Mar 22 13:54 _fig2mpdfoverlay-sample-3_inp.tex
-rw-r--r-- 1 christoph root 5.6K Mar 22 13:54 _fig2mpdfoverlay-sample-4_doc.log
-rw-r--r-- 1 christoph root  597 Mar 22 13:54 _fig2mpdfoverlay-sample-4_doc.tex
-rw-r--r-- 1 christoph root  539 Mar 22 13:54 _fig2mpdfoverlay-sample-4_inp.create
-rw-r--r-- 1 christoph root  358 Mar 22 13:54 _fig2mpdfoverlay-sample-4_inp.tex
-rw-r----- 1 christoph root 3.8K Mar 22 13:44 fig2ps-output.gif
-rw-r--r-- 1 christoph root 5.2K Mar 22 13:17 fig2ps-output.gif.uue
-rw-r--r-- 1 christoph root 2.1K Mar 22 13:17 index.html
-rw-r--r-- 1 christoph root  349 Mar 22 13:17 Makefile
-rw-r----- 1 christoph root 5.1K Mar 22 13:44 overlaying.gif
-rw-r--r-- 1 christoph root 7.0K Mar 22 13:17 overlaying.gif.uue
-rw-r----- 1 christoph root  34K Mar 22 13:44 overlay-sample.jpg
-rw-r--r-- 1 christoph root  47K Mar 22 13:17 overlay-sample.jpg.uue
-rw-r--r-- 1 christoph root 1.7K Mar 22 13:17 overlay-sample.lfig
-rw-r----- 1 christoph root 7.3K Mar 22 13:44 sample-flat.jpg
-rw-r--r-- 1 christoph root  11K Mar 22 13:17 sample-flat.jpg.uue
-rw-r----- 1 christoph root  43K Mar 22 13:44 sample-flat.pdf
-rw-r--r-- 1 christoph root  59K Mar 22 13:17 sample-flat.pdf.uue
-rw-r--r-- 1 christoph root  391 Mar 22 13:45 sample-presentation.aux
-rw-r----- 1 christoph root 9.7K Mar 22 13:44 sample-presentation.gif
-rw-r--r-- 1 christoph root  14K Mar 22 13:17 sample-presentation.gif.uue
-rw-r--r-- 1 christoph root  32K Mar 22 13:45 sample-presentation.log
-rw-r--r-- 1 christoph root    0 Mar 22 13:45 sample-presentation.out
-rw-r--r-- 1 christoph root 1.4K Mar 22 13:17 sample-presentation.tex
-rw-r--r-- 1 christoph root  488 Mar 22 13:17 uudecode
-rw-r----- 1 christoph root  14K Mar 22 13:44 XFig-LaTeX.jpg
-rw-r--r-- 1 christoph root  19K Mar 22 13:17 XFig-LaTeX.jpg.uue
-rw-r----- 1 christoph root 6.5K Mar 22 13:44 XFig-LaTeX-together.jpg
-rw-r--r-- 1 christoph root 8.9K Mar 22 13:17 XFig-LaTeX-together.jpg.uue


-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#654767; Package src:transfig. (Wed, 11 Apr 2012 14:27:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Wed, 11 Apr 2012 14:27:28 GMT) Full text and rfc822 format available.

Message #22 received at 654767@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 654767@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#654767: transfig: FTBFS(kfreebsd): File `overlay-sample-0.pdf' not found.
Date: Wed, 11 Apr 2012 15:26:21 +0100
[Message part 1 (text/plain, inline)]
tags 654767 + patch
thanks

Hi,

This was reproducible on my kfreebsd-i386 system;  with ktrace I can see
that fig2dev does an improper chmod on the shell script it generates.

The problem code is supplied from debian/patches/14_fig2mpdf.patch


Short answer:

It just needs to include sys/stat.h


Long answer:
(Yes, I only realised the above after writing all this!)

fig2dev tries to does a shift-and-OR on a mode_t to try to make the
script executable only for users who could read it:

> fig2dev/dev/genpstex.c:173:     fchmod (fileno(ptCreateFile), tStat.st_mode | ((tStat.st_mode & (S_IRUSR | S_IRGRP | S_IROTH)) >> 2));

This had me puzzled because, although a bit fancy, it looks like it
should work okay here.  With kFreeBSD's macro definitions substituted:

> fchmod (fileno(ptCreateFile), tStat.st_mode | ((tStat.st_mode & (0400 | (0400 >> 3) | ((0400 >> 3) >> 3))) >> 2));

The original mode would appear to be 0644 in the ktrace below, the
bitwise AND should then produce 444, shift that to 111, and OR back in
to give 0755.

The actual calculated new mode_t is 0001 though.

The bitwise arithmetic is possibly converting to a signed int, and
doesn't have the fchmod function prototype time, but on BSD platforms
mode_t is an unsigned short int.  With -Wall:

> genpstex.c:173:2: warning: implicit declaration of function ‘fchmod’ [-Wimplicit-function-declaration]


ktrace:

>  27796 100362 fig2dev  CALL  open(0x80e62c0,0x601<><invalid>1537,0x1b6<><invalid>438)
>  27796 100362 fig2dev  NAMI  "_fig2mpdfoverlay-sample-0_inp.create"
>  27796 100362 fig2dev  RET   open 4
>  27796 100362 fig2dev  CALL  fstat(0x4,0xbfbfe0e8)
>  27796 100362 fig2dev  STRU  struct stat {dev=2340379690, ino=586182, mode=-rw-r--r-- , nlink=1, uid=1000, gid=1000, rdev=4294967295, atime=1334148528.102033354, stime=133414852
> 8.102033354, ctime=1334148528.102033354, birthtime=1334148528.102033354, size=0, blksize=131072, blocks=1, flags=0x0 }
>  27796 100362 fig2dev  RET   fstat 0
>  27796 100362 fig2dev  CALL  fchmod(0x4,0x1<><invalid>1)
>  27796 100362 fig2dev  RET   fchmod 0
>  27796 100362 fig2dev  CALL  fstat(0x4,0xbfbfda20)
>  27796 100362 fig2dev  STRU  struct stat {dev=2340379690, ino=586182, mode=---------x , nlink=1, uid=1000, gid=1000, rdev=4294967295, atime=1334148528.102033354, stime=133414852
> 8.102033354, ctime=1334148528.102995492, birthtime=1334148528.102995492, size=0, blksize=131072, blocks=1, flags=0x0 }
>  27796 100362 fig2dev  RET   fstat 0

>  27796 100362 fig2dev  CALL  write(0x4,0x2858e000,0x21b)
>  27796 100362 fig2dev  GIO   fd 4 wrote 539 bytes
>        "#!/bin/bash
>         
>         while getopts "r" Option
>         do
>           case $Option in
>             r) iOptRemove=1;;
>             *) echo "illegal option -$Option"
>           esac
>         done
>         shift $(($OPTIND - 1))
>         if [ "$iOptRemove" == "" ]; then
>           echo "\\setlength\\pdfpagewidth{69.43pt}\\setlength\\pdfpageheight{159.22pt}" > _fig2mpdfoverlay-sample-0_inp.size
>         else
>           rm -f _fig2mpdfoverlay-sample-0_inp.size
>         fi
>         if [ "$iOptRemove" == "" ]; then
>           fig2dev -L pstex -D +53:53 overlay-sample.lfig | epstopdf -f > _fig2mpdfoverlay-sample-0_inp000.pdf
>         else
>           rm -f _fig2mpdfoverlay-sample-0_inp000.pdf
>         fi
>        "
>  27796 100362 fig2dev  RET   write 539/0x21b
>  27796 100362 fig2dev  CALL  close(0x4)

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[30_fix_fig2dev_chmod.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 14:27:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#654767; Package src:transfig. (Wed, 11 Apr 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Rosenfeld <roland@debian.org>:
Extra info received and forwarded to list. (Wed, 11 Apr 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #29 received at 654767@bugs.debian.org (full text, mbox):

From: Roland Rosenfeld <roland@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 654767@bugs.debian.org
Subject: Re: Bug#654767: transfig: FTBFS(kfreebsd): File `overlay-sample-0.pdf' not found.
Date: Wed, 11 Apr 2012 21:09:42 +0200
Hi Steven!

On Wed, 11 Apr 2012, Steven Chamberlain wrote:

> This was reproducible on my kfreebsd-i386 system;  with ktrace I can see
> that fig2dev does an improper chmod on the shell script it generates.
> 
> The problem code is supplied from debian/patches/14_fig2mpdf.patch
> 
> 
> Short answer:
> 
> It just needs to include sys/stat.h

What an one :-)

> Long answer:

What a hell...
Many thanks for debugging and finding this out.  I just uploaded a fix
for this.

Tschoeeee

        Roland




Reply sent to Roland Rosenfeld <roland@debian.org>:
You have taken responsibility. (Wed, 11 Apr 2012 19:21:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Wed, 11 Apr 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #34 received at 654767-close@bugs.debian.org (full text, mbox):

From: Roland Rosenfeld <roland@debian.org>
To: 654767-close@bugs.debian.org
Subject: Bug#654767: fixed in transfig 1:3.2.5.d-3
Date: Wed, 11 Apr 2012 19:18:35 +0000
Source: transfig
Source-Version: 1:3.2.5.d-3

We believe that the bug you reported is fixed in the latest version of
transfig, which is due to be installed in the Debian FTP archive:

transfig_3.2.5.d-3.debian.tar.gz
  to main/t/transfig/transfig_3.2.5.d-3.debian.tar.gz
transfig_3.2.5.d-3.dsc
  to main/t/transfig/transfig_3.2.5.d-3.dsc
transfig_3.2.5.d-3_amd64.deb
  to main/t/transfig/transfig_3.2.5.d-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654767@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roland Rosenfeld <roland@debian.org> (supplier of updated transfig package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 11 Apr 2012 20:40:32 +0200
Source: transfig
Binary: transfig
Architecture: source amd64
Version: 1:3.2.5.d-3
Distribution: unstable
Urgency: low
Maintainer: Roland Rosenfeld <roland@debian.org>
Changed-By: Roland Rosenfeld <roland@debian.org>
Description: 
 transfig   - Utilities for converting XFig figure files
Closes: 654767
Changes: 
 transfig (1:3.2.5.d-3) unstable; urgency=low
 .
   * 28_fix_fig2dev_chmod: Add missing sys/stat.h prototype, which leads to
     an implicit declaration of fchmod(), which uses signed int while
     kFreeBSD expects unsigned int, which results in a wrong bitmap, which
     leads to a build failure.  Thanks to Steven Chamberlain for finding
     out what goes wrong here and providing a patch (Closes: #654767).
   * Build-Depends on libpng-dev instead of libpng12-0-dev | libpng-dev.
Checksums-Sha1: 
 45c55f40b39de9bb50211317f90f0c395d8f8eba 1297 transfig_3.2.5.d-3.dsc
 2208799d6467efa03031b3efa826958f67a1301e 236894 transfig_3.2.5.d-3.debian.tar.gz
 b63d4cde8fcc5fab6773b40dd45ce340563463b7 653994 transfig_3.2.5.d-3_amd64.deb
Checksums-Sha256: 
 fb5223b75a8c594ed4b062709e1422ebbf7e8854e28f82ccc829b65042941cd9 1297 transfig_3.2.5.d-3.dsc
 00e8e615a30bc2b6d60a5faa48a92017ed93bba852843870a4a5fa0d051267f8 236894 transfig_3.2.5.d-3.debian.tar.gz
 fce7c6e41729fa5b9d04d1ee430f6fa1ac960978b3d2b0535ff9292415ef7753 653994 transfig_3.2.5.d-3_amd64.deb
Files: 
 ae98cff2c653dcc5b793e2b14962b60d 1297 graphics optional transfig_3.2.5.d-3.dsc
 3718fa84f464ca64d7e8643c6935eb44 236894 graphics optional transfig_3.2.5.d-3.debian.tar.gz
 5fa05163208f13615dbd1e05c2f0f95c 653994 graphics optional transfig_3.2.5.d-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAk+F1i0ACgkQO7/Pd72LBQ0PYgCcDsstDlLhPt3M9nFYyBnWjBxZ
8OEAoJxUTN07MP2348C597UKfZ+3oFE+
=H60E
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Roland Rosenfeld <roland@debian.org>:
Bug#654767; Package src:transfig. (Thu, 12 Apr 2012 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Roland Rosenfeld <roland@debian.org>. (Thu, 12 Apr 2012 09:03:07 GMT) Full text and rfc822 format available.

Message #39 received at 654767@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 654767@bugs.debian.org
Subject: Re: Bug#654767: transfig: FTBFS: File `overlay-sample-0.pdf' not found.
Date: Thu, 12 Apr 2012 10:46:01 +0200 (CEST)
> The bitwise arithmetic is possibly converting to a signed int, and
> doesn't have the fchmod function prototype time, but on BSD platforms
> mode_t is an unsigned short int.

I have been curious, as using the standard C integer promoting rules 
should suffice here.

The problem is not missing prototype of fchmod(), but of fstat().
The package is built using "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64",
and when the <sys/stat.h> is included, the fstat is (correctly)
redirected into fstat64.

With <fcntl.h> included, and without <sys/stat.h> included,
the "struct stat" is 64bit aware, but (implicit) fstat()
expects only 32bit structure. As a result, the tStat.st_mode in

"fchmod (fileno(ptCreateFile), tStat.st_mode | ((tStat.st_mode & (S_IRUSR | S_IRGRP | S_IROTH)) >> 2))"

is not original file mode, but original link count (=1).

It does not happen in squeeze, the <fcntl.h> contains

/* For XPG all symbols from <sys/stat.h> should also be available.  */
#ifdef __USE_XOPEN
# include <sys/stat.h>
#endif

but it happens in sid, as the current <fcntl.h> contains only

/* For XPG all symbols from <sys/stat.h> should also be available.  */
#if defined __USE_XOPEN || defined __USE_XOPEN2K8
# include <bits/types.h>         /* For __mode_t and __dev_t.  */
# define __need_timespec
# include <time.h>
# include <bits/stat.h>

Petr





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 May 2012 07:37:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:55:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.